Onboarding

Onboarding

Welcome to Paynetics' onboarding section. We are happy to have you and your customers on board!

Through Paynetics, you can:

  • Open accounts
  • Make transfers
  • Issue cards and control them
  • Use our acquiring services
  • Onboard merchants
  • Use our white-label wallet solution for added value and convenience

We provide APIs for easy integration and usage of our capabilities If your process is not ready for full API automation, we have the tools to enable your employees to use it manually:

  • our onboarding portal
  • our card management portal

Collecting Data

Paynetics is a licensed EMI (Electronic Money Institution), which means we need to maintain your and our partners' trust. Paynetics is legally obliged to collect data.

There are three factors which determine what type of data we need to collect:

  • What type of clients do you intend to onboard — Individuals or Legal Entities?

  • Which of our products do you wish to access?

  • What is your current onboarding process?

Paynetics will provide a list of all mandatory fields and create a configuration for your profile based on the initial agreement. Once mandatory data fields are defined, you can test our offering and decide when to move forward with live implementation.

Legal Entities Onboarding

Onboarding legal entities at Paynetics can be an automatic or semi-automatic process.

**Automatic** onboarding process utilizes a predefined ruleset of operations, which guide the end decision of every application.

**Semi-automatic** onboarding process offers assisted manual review by Paynetics' underwriting specialists. This is done after the **automatic checks**. This allows for a better understanding of the legal entity’s structure and background.

*Note - Depending on the initial agreement Paynetics may recommend one of the two solutions above.*

Submitting Application

By submitting a request with the predefined mandatory fields. Refer to the example for the correct structure of the request. Once the request is received, Paynetics system will check the submitted fields and validate the input. Requests with invalid or missing fields will return an error prompting an update.

Automatic Checks

Once fields are validated, Paynetics system will perform a series of automatic checks, which can be:

  • Risk Calculation - Paynetics calculates the risk profile of each new application based on provided data.

  • Automatic Verification - Paynetics uses a third-party provider to extract information from local trade registration bureaus to verify company details.

  • Security Checks - Paynetics uses a third-party provider to screen every new entity for adverse media and sanction lists presence.

Results

Automation results are asynchronous and are received via webhook. Once automatic checks have concluded, Paynetics system will be configured to perform different operations depending on your initial agreement.

Acquiring

Paynetics system will assign and provide a unique Merchant ID (MID) and Terminal ID (TID) via webhook. Once received they are active and can be used via Paynetics API for operations and 3DS registration.

Account Opening and Issuing

Paynetics system will provide a unique merchant identifier(token), which allows an account to be created.

POST /v3/applications
Operation application_create

Request body

Field Type Description
merchant string (32,36) Master Merchant token
products array (1,5)
pose-commerceqraccount-openingcard-issuing
due_diligence string (0,any)
SDDCDD
ip_address string (0,any) IP Address of customer submitted application
fingerprint string (0,any) Device fingerprint of the customer submitted application

Example request

{
    "merchant": "faf5ee1a-298e-45c7-beb6-b8e410493da3",
    "products": [
        "string"
    ],
    "due_diligence": "string",
    "company": {
        "trade_name": "Paynetics",
        "legal_name": "Paynetics AD",
        "uic": "123567",
        "incorporation_date": "2022-01-01",
        "website": "https://paynetics.digital",
        "phone": "+35900000000",
        "mobile_phone": "+35900000000",
        "country": "BG",
        "county": "Sofia Grad",
        "city": "Sofia",
        "zip": "1407",
        "address1": "James Bouchier 76A",
        "address2": "Floor 2",
        "contact_email": "john.doe@paynetics.digital",
        "correspondence_address": "James Bouchier 76A",
        "description_of_activity": "Acquiring, Issuing etc.",
        "address_of_shop": "James Bouchier 76A",
        "mcc": "5999",
        "legal_form": "sole-trader",
        "legal_form_description": "The sutrcte of the company is ... ",
        "business_activity": "second-hand-store",
        "country_of_incorporation": "BG",
        "vat_registration": "12345678BG",
        "is_sie": false,
        "company_members": [
            {
                "first_name": "John",
                "last_name": "Doe",
                "mobile_phone": "+359000000000",
                "phone": "+359000000000",
                "legal_name": "Paynetics AD",
                "uic": "123456",
                "country": "BG",
                "country_of_residence": "BG",
                "zip": "1407",
                "city": "Sofia",
                "address1": "James Bouchier 76A",
                "address2": "Floor 2",
                "county": "Sofia Grad",
                "ownership": true,
                "ownership_percentage": 10,
                "type": [
                    "string"
                ],
                "unique_identifier": "123456",
                "user": "",
                "legal_form": "sole-trader",
                "place_of_birth": "BG",
                "pep_declaration": true,
                "pep_related_declaration": true,
                "is_sip": true,
                "birthday": "1992-03-28",
                "nationality": "BG",
                "contact_email": "John Doe",
                "documents": [
                    {
                        "file": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNksP3/HwADvgI9/iYBsgAAAABJRU5ErkJggg==",
                        "file_type": "pdf",
                        "document_type": "passport"
                    }
                ],
                "middle_name": "string",
                "owners_more_than25_share": "boolean",
                "ownership_type": "string",
                "is_authorized_signatory": "boolean",
                "legal_form_details": "string",
                "parent_company": {
                    "business_activity": "string",
                    "business_activity_other": "string",
                    "incorporation_date": "string",
                    "company_sie": "boolean",
                    "correspondence_address": null,
                    "business_address": null
                },
                "is_director": "boolean",
                "is_ubo": "boolean",
                "id_other": "string",
                "id_number": "string",
                "id_validity": "string",
                "proof_identity_number": "string",
                "proof_identity_date": "string",
                "country_issuing_id": "string",
                "additional_nationalities": [],
                "is_controlling_person": "boolean",
                "controlling_person_tax_residency": {
                    "country": "string",
                    "tin_unavailable": "boolean",
                    "tin": "string",
                    "other_tin_unavailable_reason": "string",
                    "tax_information_confirmation": "boolean",
                    "tax_information_confirmation_date": "string"
                },
                "is_adverse_media": "boolean",
                "id_document_type": "string",
                "id_document_other": "string"
            }
        ],
        "legal_form_other": "string",
        "business_activity_other": "string",
        "incorporated_for_limited_period": "boolean",
        "incorporated_end_date": "string",
        "authority_issued_id_other": "string",
        "is_vulnerability_customer": "boolean",
        "vulnerable_type": "string",
        "accessability_required": "string",
        "is_adverse_media": "boolean",
        "tax_residencies": [
            {
                "country": "string",
                "tin_unavailable": "boolean",
                "tin": "string",
                "tin_unavailable_reason": "string",
                "other_tax_residency_tin_unavailable_reason": "string"
            }
        ],
        "crs_classification": {
            "classification_for_crs": "string",
            "tax_info_confirmation": "boolean",
            "confirmed_by": "string",
            "confirmation_date": "string"
        },
        "company_corresponding_address": {
            "mobile_phone": "string",
            "email": "string",
            "country": "string",
            "city": "string",
            "zip": "string",
            "address1": "string",
            "address2": "string"
        },
        "business_address": {
            "country": "string",
            "city": "string",
            "zip": "string",
            "address1": "string",
            "address2": "string"
        },
        "documents": [
            {
                "file": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNksP3/HwADvgI9/iYBsgAAAABJRU5ErkJggg==",
                "file_type": "pdf",
                "document_type": "passport"
            }
        ]
    },
    "acquiring": {
        "pos": {
            "fee_group": "default",
            "projected_monthly_value": "100",
            "descriptor": "John Doe",
            "number_of_outlets": "integer",
            "business_information": {
                "sales_all_acquirers_amount": "number",
                "sales_all_acquirers_currency": "string",
                "sales_all_acquirers_transactions": "integer",
                "projected_sales_volume": "integer",
                "projected_sales_amount": "number",
                "projected_sales_currency": "string",
                "projected_sales_transactions": "integer"
            },
            "outlet": [
                {
                    "number_of_devices": "integer",
                    "descriptor": "string",
                    "business_activity": "string",
                    "business_activity_other": "string",
                    "mcc": "string",
                    "acceptance_currency": "string",
                    "contact_person": "string",
                    "phone_number": "string",
                    "address": null
                }
            ]
        },
        "ecommerce": {
            "register3ds": "boolean",
            "supported_authorization_types": [
                "string"
            ],
            "number_of_stores": "integer",
            "business_activity_main_country": "string",
            "url": "string",
            "business_activity": "string",
            "business_activity_other": "string",
            "mcc": "string",
            "customer_support_phone": "string",
            "currently_processing": "boolean",
            "test_username": "string",
            "test_password": "string",
            "general_ecommerce": "number",
            "moto": "number",
            "bai": "string",
            "projected_sales_currency": [],
            "projected_sales_transactions": "integer",
            "projected_monthly_volume_with_paynetics": "integer",
            "projected_sales_with_paynetics_currency": [],
            "projected_sales_transaction_with_paynetics": "integer",
            "risk_assessment": "string",
            "fee_group": "string",
            "projected_monthly_value": "number",
            "descriptor": "string",
            "number_of_outlets": "integer",
            "business_information": {
                "sales_all_acquirers_amount": "number",
                "sales_all_acquirers_currency": "string",
                "sales_all_acquirers_transactions": "integer",
                "projected_sales_volume": "integer",
                "projected_sales_amount": "number",
                "projected_sales_currency": "string",
                "projected_sales_transactions": "integer"
            },
            "outlet": [
                {
                    "number_of_devices": "integer",
                    "descriptor": "string",
                    "business_activity": "string",
                    "business_activity_other": "string",
                    "mcc": "string",
                    "acceptance_currency": "string",
                    "contact_person": "string",
                    "phone_number": "string",
                    "address": null
                }
            ]
        }
    },
    "payout_details": [
        {
            "amount": "1",
            "currency": "BGN",
            "bank_account_currency": "string",
            "iban": "BG18RZBB91550123456789",
            "sort_code": "123456",
            "account_number": "12345678",
            "period": "daily",
            "delay": "2",
            "bank_name": "string",
            "swift_bic": "string",
            "bank_account_holder_name": "string",
            "type_of_merchant_settlement": "string",
            "bank_address": "string",
            "country": "string",
            "city": "string",
            "address1": "string",
            "address2": "string",
            "zip": "string",
            "beneficiary": "string",
            "contact_person_name": "string",
            "phone": "string",
            "email": "string",
            "rolling_reserve_percent": "number",
            "rolling_reserve_days": "integer",
            "email_payout_reports": "string"
        }
    ],
    "questionnaire": {
        "is_online": false,
        "has_offshore_clients": false,
        "make_business_with_san": false,
        "has_kyc_procedure": false,
        "has_kyc_procedure_description": false,
        "require_additional_licenses": false,
        "maintains_accounts_on_behalf_of_clients": false,
        "perform_transactions_on_behalf_of_clients": false,
        "is_off_shore": false,
        "purpose_of_usage": false,
        "source_of_funds": "dividends",
        "months_of_doing_business": 12,
        "projected_monthly_volume": 10000,
        "source_of_funds_other": "string",
        "business_activity_country": "string",
        "is_offshore_company": "boolean",
        "monthly_projection": [
            {
                "currency": "string",
                "incoming_transfer_volume": "number",
                "transfer_count": "integer",
                "transfer_avg_amount": "number",
                "transfer_max_amount": "number"
            }
        ],
        "region_business_target": {
            "main_countries_incoming_project_volume": [
                {
                    "country": "string",
                    "percent": "number"
                }
            ],
            "main_countries_outgoing_payments": [],
            "main_countries_outgoing_project_volume": [
                {
                    "country": "string",
                    "percent": "number"
                }
            ]
        }
    },
    "ip_address": "127.0.0.1",
    "fingerprint": "any string"
}

Response

Field Type Description
code integer (0,any)

Example response

{
    "code": 0,
    "data": {
        "token": "e3dcc1ee-26d4-40bb-ac24-c961a1c4f77c",
        "company": {
            "token": "16880d2c-6616-4e16-947a-f5e1726604d7",
            "company_members": [
                {
                    "token": "7de3abb0-73e1-4d6a-bf72-1a2040685ff3",
                    "first_name": "John",
                    "last_name": "Doe"
                }
            ]
        }
    }
}

Errors

CodeDescription
11001Validation error
11008Validator configuration not found

Application details

GET /v3/applications/{token}
Operation application_details

Path parameters

NameExampleDescription
token e61bac10-5be2-49e6-99e1-82ccfd4cb644 Token from application creation

Response

Field Type Description
token string
merchant string
due_diligence string
channel string
reputation integer
behaviour integer
post_sar integer
sanction_tf_match integer
ubo_reputation integer
ubo_behaviour integer
ubo_post_sar integer
ubo_sanction_tf_match integer
comments array
created_at string

Example response

{
    "token": "c6a9d6b7-6c8d-494d-a121-7e036bca9248",
    "merchant": "420c0cb2-79af-4cc1-a828-ac59c8a890e3",
    "company": {
        "trade_name": "TEST",
        "token": "478fc5ae-b66e-48d8-bed1-3802480727fe",
        "legal_name": "TEST1759404485724",
        "uic": "519900174055",
        "incorporation_date": "2025-01-01 13:45:30",
        "website": "https://example.com",
        "mobile_phone": "+35912341234",
        "country": "BG",
        "county": "SOF",
        "city": "Sofia",
        "zip": "1000",
        "address1": "James",
        "address2": "Boucher 76",
        "legal_form_other_description": "test legal form",
        "contact_email": "example@example.com",
        "correspondence_address": "correspondence_address",
        "address_of_shop": "address_of_shop",
        "company_members": [
            {
                "first_name": "Test",
                "last_name": "Test",
                "token": "f90b9e6e-80f9-4f7c-8c2c-54afb4414939",
                "mobile_phone": "+359898123444",
                "legal_name": "Test Test",
                "uic": "751900174055",
                "country": "BG",
                "country_of_residence": "BG",
                "zip": "1000",
                "city": "Sofia",
                "address1": "James",
                "county": "SOF",
                "ownership": true,
                "type": [
                    "ceo"
                ],
                "unique_identifier": "test",
                "legal_form": {
                    "id": 19,
                    "name": "Other legal form",
                    "code": "other"
                },
                "place_of_birth": "2010-06-08",
                "pep_declaration": true,
                "pep_related_declaration": true,
                "birthday": "2010-12-12 00:00:00",
                "nationality": "BG",
                "contact_email": "example@example.com"
            }
        ],
        "legal_form": "other",
        "business_activity": "second-hand-store",
        "is_sie": false
    },
    "questionnaire": {
        "source_of_funds": "sale_of_real_estate",
        "projected_monthly_volume": 1
    },
    "payout_details": [
        {
            "amount": "1",
            "currency": "GBP",
            "iban": "GB33BUKB20201555555555",
            "sort_code": "123456",
            "account_number": "12345678",
            "period": "daily",
            "delay": "2"
        }
    ],
    "due_diligence": "CDD",
    "channel": "api",
    "reputation": 1,
    "behaviour": 1,
    "post_sar": 1,
    "sanction_tf_match": 1,
    "ubo_reputation": 1,
    "ubo_behaviour": 1,
    "ubo_post_sar": 1,
    "ubo_sanction_tf_match": 1,
    "comments": [],
    "created_at": "2025-10-02 11:28:07",
    "statuses": [
        {
            "product": "pos",
            "status": "automatic_checks"
        }
    ],
    "acquiring": {
        "pos": {
            "fee_group": "standard",
            "supported_authorization_types": [],
            "type": "pos",
            "acceptance_currencies": [],
            "descriptor": "Test Descriptor"
        }
    }
}

Company Details

You can add or change company details via Paynetics' API. Supported operations:

  • Add documents

  • Change contact details

  • Add/Suspend company members

  • Add documents related to company members

Please refer to the example for how to change company details.

Updating Company Details

PUT /v3/applications/{application}/companies
Operation company_update

Path parameters

NameExampleDescription
application

Request body

Field Type Description
trade_name string (0,any) Doing business as
legal_name string (0,any) Legal name as appears in trade reigster
website string (0,any) URL of the website
phone string (0,any) Phone of the company
mobile_phone string (0,any) Mobile phone of the company
country string (2,2) Country of the company. Format: ISO 3166-1 alpha-2
county string (0,any) Country region of the company
city string (0,any) City where company is registerd
zip string (0,any) Postal/ZIP Code
address1 string (0,any) Address of the company
address2 string (0,any) Additional details for the address
contact_email string (0,any) Correspondence email address
correspondence_address string (0,any) Correspondence phisical address
description_of_activity string (0,any) Description of the business activity of the company
address_of_shop string (0,any) Address of the phisical shop/office of the company
business_activity string (0,any) More details in nomernclutres section
is_sie boolean In case the company appears in any sanctions list the field must be marked as true
legal_form_other string (0,any)
business_activity_other string (0,any)
incorporated_for_limited_period boolean
incorporated_end_date string (0,any)
authority_issued_id_other string (0,any)
is_vulnerability_customer boolean
vulnerable_type string (0,any)
accessability_required string (0,any)
is_adverse_media boolean

Example request

{
    "trade_name": "Paynetics",
    "legal_name": "Paynetics AD",
    "website": "https://paynetics.digital",
    "phone": "+35900000000",
    "mobile_phone": "+35900000000",
    "country": "BG",
    "county": "Sofia Grad",
    "city": "Sofia",
    "zip": "1407",
    "address1": "James Bouchier 76A",
    "address2": "Floor 2",
    "contact_email": "john.doe@paynetics.digital",
    "correspondence_address": "James Bouchier 76A",
    "description_of_activity": "Acquiring, Issuing etc.",
    "address_of_shop": "James Bouchier 76A",
    "business_activity": "second-hand-store",
    "is_sie": false,
    "legal_form_other": "string",
    "business_activity_other": "string",
    "incorporated_for_limited_period": "boolean",
    "incorporated_end_date": "string",
    "authority_issued_id_other": "string",
    "is_vulnerability_customer": "boolean",
    "vulnerable_type": "string",
    "accessability_required": "string",
    "is_adverse_media": "boolean",
    "tax_residencies": [
        {
            "country": "string",
            "tin_unavailable": "boolean",
            "tin": "string",
            "tin_unavailable_reason": "string",
            "other_tax_residency_tin_unavailable_reason": "string"
        }
    ],
    "crs_classification": {
        "classification_for_crs": "string",
        "tax_info_confirmation": "boolean",
        "confirmed_by": "string",
        "confirmation_date": "string"
    },
    "company_corresponding_address": {
        "mobile_phone": "string",
        "email": "string",
        "country": "string",
        "city": "string",
        "zip": "string",
        "address1": "string",
        "address2": "string"
    },
    "business_address": {
        "country": "string",
        "city": "string",
        "zip": "string",
        "address1": "string",
        "address2": "string"
    }
}

Response

Field Type Description
code integer (0,any)

Example response

{
    "code": 0
}

Errors

CodeDescription
11001Validation error
11002Application not found

Adding Company Document

POST /v3/applications/{application}/companies/documents
Operation company_add_document

Path parameters

NameExampleDescription
application

Request body

Field Type Description
file string (0,any) Base64 encoded file
file_type string (0,any) Type of the file
pdfdocxxlxsjpgjpegpngmovmp4
document_type string (0,any) More details in nomenclatures section
idcardbankstmtbillotheridcard-frontidcard-backidcard-selfiepassport-backpassport-selfiepassportdriving-license-selfieselfiedriving-license-frontdriving-license-backsharebook-excerptmanagement-contractmoms-of-the-boardactivity-licensebank-accountbulstat-registrationvat-registrationpatent-lawpower-of-attorneyubo-declarationframe-contractsample-of-signaturesface-compareproofrecent-excerptincorporation-documentsshare_holders_listother_corporatesignatureid_card_passport_photobiometric-residence-permit-frontbiometric-residence-permit-backkyc-vendor-reportfatca-declarationsow-declarationsof-desclarationresident-permit-eu-uk-frontresident-permit-eu-uk-back

Example request

{
    "file": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNksP3/HwADvgI9/iYBsgAAAABJRU5ErkJggg==",
    "file_type": "pdf",
    "document_type": "passport"
}

Response

Field Type Description
code integer (0,any)

Example response

{
    "code": 0
}

Errors

CodeDescription
11001Validation error
11002Application not found

Adding Company member

POST /v3/applications/{application}/companies/members
Operation company_add_member

Path parameters

NameExampleDescription
application

Request body

Field Type Description
first_name string (0,any) First name of the member
last_name string (0,any) Last name of the member
mobile_phone string (0,any) Mobile phone of the member
phone string (0,any) Phone of the member
legal_name string (0,any) Used when member is other legal entity
uic string (0,any) Business registration number.Used when member is other legal entity
country string (0,any) Country of birth or country of legal entity.ISO 3166-1 alpha-2
country_of_residence string (0,any) ISO 3166-1 alpha-2
zip string (0,any) Postal/Zip code of the member.
city string (0,any) City of the member.
address1 string (0,any) Address of the member.
address2 string (0,any) Additional info for the address
county string (0,any) Region of the member
ownership boolean Only for UBO to specify the percentage of the ownership
ownership_percentage integer (0,any) Only for UBO to specify the percentage of the ownership
type array (1,2)
uboceorepresentativeproxylegal-entityofficer
unique_identifier string (0,any) Unique number of persons on offical document.
user string (0,any) Existing user in Paynetics system to get KYC details
legal_form string (0,any) Legal form of the company
sole-traderlimited-companylimited-partnershiplimited-liability-partnershipotherself-employed
place_of_birth string (0,any) ISO 3166-1 alpha-2
pep_declaration boolean Mark as PEP
pep_related_declaration boolean Mark as PEP relative
is_sip boolean Mark as that appears in sanction lists
birthday string (0,any) Date of birth
nationality string (0,any) ISO 3166-1 alpha-2
contact_email string (0,any)
middle_name string (0,any)
owners_more_than25_share boolean
ownership_type string (0,any)
legal entityubo
is_authorized_signatory boolean
legal_form_details string (0,any)
is_director boolean
is_ubo boolean
id_other string (0,any)
id_number string (0,any)
id_validity string (0,any)
proof_identity_number string (0,any)
proof_identity_date string (0,any)
country_issuing_id string (0,any)
additional_nationalities array (0,any)
is_controlling_person boolean
is_adverse_media boolean
id_document_type string (0,any)
personal id card (eu)passportother (please specify)
id_document_other string (0,128)

Example request

{
    "first_name": "John",
    "last_name": "Doe",
    "mobile_phone": "+359000000000",
    "phone": "+359000000000",
    "legal_name": "Paynetics AD",
    "uic": "123456",
    "country": "BG",
    "country_of_residence": "BG",
    "zip": "1407",
    "city": "Sofia",
    "address1": "James Bouchier 76A",
    "address2": "Floor 2",
    "county": "Sofia Grad",
    "ownership": true,
    "ownership_percentage": 10,
    "type": [
        "string"
    ],
    "unique_identifier": "123456",
    "user": "",
    "legal_form": "sole-trader",
    "place_of_birth": "BG",
    "pep_declaration": true,
    "pep_related_declaration": true,
    "is_sip": true,
    "birthday": "1992-03-28",
    "nationality": "BG",
    "contact_email": "John Doe",
    "documents": [
        {
            "file": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNksP3/HwADvgI9/iYBsgAAAABJRU5ErkJggg==",
            "file_type": "pdf",
            "document_type": "passport"
        }
    ],
    "middle_name": "string",
    "owners_more_than25_share": "boolean",
    "ownership_type": "string",
    "is_authorized_signatory": "boolean",
    "legal_form_details": "string",
    "parent_company": {
        "business_activity": "string",
        "business_activity_other": "string",
        "incorporation_date": "string",
        "company_sie": "boolean",
        "correspondence_address": {
            "country": "string",
            "city": "string",
            "zip": "string",
            "address1": "string",
            "address2": "string"
        },
        "business_address": {
            "country": "string",
            "city": "string",
            "zip": "string",
            "address1": "string",
            "address2": "string"
        }
    },
    "is_director": "boolean",
    "is_ubo": "boolean",
    "id_other": "string",
    "id_number": "string",
    "id_validity": "string",
    "proof_identity_number": "string",
    "proof_identity_date": "string",
    "country_issuing_id": "string",
    "additional_nationalities": [],
    "is_controlling_person": "boolean",
    "controlling_person_tax_residency": {
        "country": "string",
        "tin_unavailable": "boolean",
        "tin": "string",
        "other_tin_unavailable_reason": "string",
        "tax_information_confirmation": "boolean",
        "tax_information_confirmation_date": "string"
    },
    "is_adverse_media": "boolean",
    "id_document_type": "string",
    "id_document_other": "string"
}

Response

Field Type Description
code integer (0,any)

Example response

{
    "code": 0,
    "data": {
        "token": "e3dcc1ee-26d4-40bb-ac24-c961a1c4f77c",
        "company": {
            "token": "16880d2c-6616-4e16-947a-f5e1726604d7",
            "company_members": [
                {
                    "token": "7de3abb0-73e1-4d6a-bf72-1a2040685ff3",
                    "first_name": "John",
                    "last_name": "Doe"
                }
            ]
        }
    }
}

Errors

CodeDescription
11001Validation error
11002Application not found

Updating Company member

PUT /v3/applications/{application}/companies/members/{token}
Operation company_member_update

Path parameters

NameExampleDescription
application
token

Request body

Field Type Description
first_name string (0,any) First name of the member
last_name string (0,any) Last name of the member
mobile_phone string (0,any) Mobile phone of the member
phone string (0,any) Phone of the member
legal_name string (0,any) Used when member is other legal entity
country string (0,any) Country of birth or country of legal entity.ISO 3166-1 alpha-2
country_of_residence string (0,any) ISO 3166-1 alpha-2
zip string (0,any) Postal/Zip code of the member.
city string (0,any) City of the member.
address1 string (0,any) Address of the member.
address2 string (0,any) Additional info for the address
county string (0,any) Region of the member
ownership boolean Only for UBO to specify the percentage of the ownership
ownership_percentage integer (0,any) Only for UBO to specify the percentage of the ownership
legal_form string (0,any) Legal form of the company
sole-traderlimited-companylimited-partnershiplimited-liability-partnershipotherself-employed
pep_declaration boolean Mark as PEP
pep_related_declaration boolean Mark as PEP relative
is_sip boolean Mark as that appears in sanction lists
contact_email string (0,any)
status string (0,any)
activeinactive
middle_name string (0,any)
owners_more_than25_share boolean
ownership_type string (0,any)
legal entityubo
is_authorized_signatory boolean
legal_form_details string (0,any)
is_director boolean
is_ubo boolean
id_other string (0,any)
id_number string (0,any)
id_validity string (0,any)
proof_identity_number string (0,any)
proof_identity_date string (0,any)
country_issuing_id string (0,any)
additional_nationalities array (0,any)
is_controlling_person boolean
is_adverse_media boolean
id_document_type string (0,any)
personal id card (eu)passportother (please specify)
id_document_other string (0,128)

Example request

{
    "first_name": "John",
    "last_name": "Doe",
    "mobile_phone": "+359000000000",
    "phone": "+359000000000",
    "legal_name": "Paynetics AD",
    "country": "BG",
    "country_of_residence": "BG",
    "zip": "1407",
    "city": "Sofia",
    "address1": "James Bouchier 76A",
    "address2": "Floor 2",
    "county": "Sofia Grad",
    "ownership": true,
    "ownership_percentage": 10,
    "legal_form": "sole-trader",
    "pep_declaration": true,
    "pep_related_declaration": true,
    "is_sip": true,
    "contact_email": "John Doe",
    "status": "active",
    "middle_name": "string",
    "owners_more_than25_share": "boolean",
    "ownership_type": "string",
    "is_authorized_signatory": "boolean",
    "legal_form_details": "string",
    "parent_company": {
        "business_activity": "string",
        "business_activity_other": "string",
        "incorporation_date": "string",
        "company_sie": "boolean",
        "correspondence_address": {
            "country": "string",
            "city": "string",
            "zip": "string",
            "address1": "string",
            "address2": "string"
        },
        "business_address": {
            "country": "string",
            "city": "string",
            "zip": "string",
            "address1": "string",
            "address2": "string"
        }
    },
    "is_director": "boolean",
    "is_ubo": "boolean",
    "id_other": "string",
    "id_number": "string",
    "id_validity": "string",
    "proof_identity_number": "string",
    "proof_identity_date": "string",
    "country_issuing_id": "string",
    "additional_nationalities": [],
    "is_controlling_person": "boolean",
    "controlling_person_tax_residency": {
        "country": "string",
        "tin_unavailable": "boolean",
        "tin": "string",
        "other_tin_unavailable_reason": "string",
        "tax_information_confirmation": "boolean",
        "tax_information_confirmation_date": "string"
    },
    "is_adverse_media": "boolean",
    "id_document_type": "string",
    "id_document_other": "string"
}

Response

Field Type Description
code integer (0,any)

Example response

{
    "code": 0
}

Errors

CodeDescription
11001Validation error
11002Company member not found

Create Natural Person

POST /v2/users
Operation user_create

Request body

Field Type Description
email string (0,any) Email address of the user
first_name string (0,any) First name of the user
last_name string (0,any) Last name of the user
address1 string (0,any) Address of the user
address2 string (0,any)
country string (0,any) Country of resident of the user (Alpha-2)
city string (0,any) City of the user
zip string (0,any) ZIP/Postal Code of the user
phone string (0,any) Phone of the user
mobile_phone string (0,any) Mobile Phone of the user
language string (0,any)
nationality string (0,any) Nationality of the user (Alpha-2)
birthday string (0,any) Date of birth of the user (YYYY-MM-DD)
aml string (0,any)
place_of_birth string (0,any)
merchant string (32,36) Master Merchant token
occupation string (0,any)
other_occupation string (0,255) Other occupation (free text field)
education string (0,any)
info string (0,any)
money_declaration string (0,any)
source_of_funds string (0,any)
other_source_of_funds string (0,255) Other source of funds (free text field)
external_reference string (0,any)
registration_ip string (0,any)
is_san string (0,any)
is_sip string (0,any)
peps_declaration string (0,any)
pep string (0,any)
pep_relative string (0,any)
unique_identifier string (0,any)
id_passport_validity string (0,any)
id_passport_number string (0,any)
type string (0,any)
card-usagedefault
middle_name string (0,255) Middle name of the user
proof_of_identity_type string (0,100) Type of identity document
IDPassportDriving license – UK onlyOther
id_issue_date string (0,any) Date when ID was issued
country_issuing_id_card string (0,2) Country that issued the ID card (ISO 3166-1 alpha-2)
additional_nationality array (0,any) Additional nationalities (ISO 3166-1 alpha-2)
purpose_of_wallet_usage array (0,any) Purpose of wallet usage
other_purpose_of_wallet_usage string (0,255) Other purpose of wallet usage (free text field)
occupation_position string (0,255) Occupation position
ManagerProfessionalTechnicians and associate professionalClerical support workerService and sales workerSkilled agricultural, forestry and fishery workerCraft and related trades workerPlant and machine operator, and assemblersElementary occupationNOT APPLICABLE
employment_status string (0,255) Employment status
Private sector employeeGovernment sector or local authority employeeSelf-employed individual/professionalBusiness ownerStudentRetiredUnemployedOther (please specify)
other_employment_status string (0,255) Other employment status (free text field)
client_monthly_net_income string (0,255) Client monthly net income
Less than 1000 EURBetween 1001 and 5000 EURBetween 5001 and 10000 EURBetween 10001 and 15000 EURMore than 15 000 EUR
expected_incoming_monthly_eur string (0,255) Expected incoming monthly EUR
Less than 1000 EURBetween 1001 and 5000 EURBetween 5001 and 10000 EURBetween 10001 and 15000 EURMore than 15 000 EUR
expected_outgoing_monthly_eur string (0,255) Expected outgoing monthly EUR
Less than 1000 EURBetween 1001 and 5000 EURBetween 5001 and 10000 EURBetween 10001 and 15000 EURMore than 15 000 EUR
type_of_incoming_funds array (0,any) Type of incoming funds
expected_monthly_frequency_incoming_transfer string (0,255) Expected monthly frequency of incoming transfers
Less than 2 timesBetween 3-5 timesMore than 6 times
sanction_media_screening boolean Sanction media screening
risk_score string (0,100) Risk score (Low, Medium, High)
LowMediumHigh
vulnerability_type string (0,any) Vulnerability type
accessibility_required string (0,any) Accessibility required
specified_us_person boolean Specified US person
registration_lat string (0,any) Registraion Geolocation - Latitude
registration_lng string (0,any) Registration Geolocation - Longitude
registration_country string (0,any) Registraion Geolocation - Country
registration_city string (0,any) Registraion Geolocation - City
company string (0,any)

Example request

{
    "email": "john.doe@example.com",
    "first_name": "John",
    "last_name": "Doe",
    "address1": "James Bouchier 76a",
    "address2": "string",
    "country": "BG",
    "city": "Sofia",
    "zip": "1407",
    "phone": "+3590000000",
    "mobile_phone": "+3590000000",
    "language": "string",
    "nationality": "BG",
    "birthday": "1980-01-01",
    "aml": "string",
    "place_of_birth": "string",
    "merchant": "faf5ee1a-298e-45c7-beb6-b8e410493da3",
    "occupation": "string",
    "other_occupation": "Custom occupation",
    "education": "string",
    "info": "string",
    "money_declaration": "string",
    "source_of_funds": "string",
    "other_source_of_funds": "Custom source of funds",
    "external_reference": "string",
    "registration_ip": "string",
    "is_san": "string",
    "is_sip": "string",
    "peps_declaration": "string",
    "pep": "string",
    "pep_relative": "string",
    "unique_identifier": "string",
    "id_passport_validity": "string",
    "id_passport_number": "string",
    "type": "string",
    "documents": [
        {
            "file": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNksP3/HwADvgI9/iYBsgAAAABJRU5ErkJggg==",
            "file_type": "pdf",
            "document_type": "passport"
        }
    ],
    "middle_name": "James",
    "proof_of_identity_type": "Passport",
    "id_issue_date": "2020-01-01",
    "country_issuing_id_card": "BG",
    "additional_nationality": [
        "string"
    ],
    "purpose_of_wallet_usage": [
        "string"
    ],
    "other_purpose_of_wallet_usage": "Custom purpose",
    "occupation_position": "Manager",
    "employment_status": "Employed",
    "other_employment_status": "Custom purpose",
    "client_monthly_net_income": "Between 1001 and 5000 EUR",
    "expected_incoming_monthly_eur": "Between 1001 and 5000 EUR",
    "expected_outgoing_monthly_eur": "Between 1001 and 5000 EUR",
    "type_of_incoming_funds": [],
    "expected_monthly_frequency_incoming_transfer": "Between 3-5 times",
    "sanction_media_screening": false,
    "risk_score": "Low",
    "vulnerability_type": "None",
    "accessibility_required": "None",
    "specified_us_person": false,
    "registration_lat": "38.8951",
    "registration_lng": "-77.0364",
    "registration_country": "Country Name",
    "registration_city": "City Name",
    "company": "string"
}

Response

Field Type Description
code integer

Example response

{
    "code": 0,
    "data": {
        "token": "82f2211ab813af984b63f28de6ddffc958f485fdb8c7e353"
    }
}

Errors

CodeDescription
-2Duplicate User
-3Validation Error

Update Natural Person

PUT /v2/users/{user}
Operation user_update

Path parameters

NameExampleDescription
user e61bac10-5be2-49e6-99e1-82ccfd4cb644 Token from user creation

Request body

Field Type Description
first_name string (0,any) First name of the user
last_name string (0,any) Last name of the user
address1 string (0,any) Address of the user
address2 string (0,any)
country string (0,any) Country of resident of the user (Alpha-2)
city string (0,any) City of the user
zip string (0,any) ZIP/Postal Code of the user
phone string (0,any) Phone of the user
mobile_phone string (0,any) Mobile Phone of the user
language string (0,any)
nationality string (0,any) Nationality of the user (Alpha-2)
birthday string (0,any) Date of birth of the user (YYYY-MM-DD)
place_of_birth string (0,any)
merchant string (32,36) Master Merchant token
occupation string (0,any)
other_occupation string (0,255) Other occupation (free text field)
education string (0,any)
info string (0,any)
money_declaration string (0,any)
source_of_funds string (0,any)
other_source_of_funds string (0,255) Other source of funds (free text field)
external_reference string (0,any)
is_san string (0,any)
is_sip string (0,any)
peps_declaration string (0,any)
pep string (0,any)
pep_relative string (0,any)
unique_identifier string (0,any)
id_passport_validity string (0,any)
id_passport_number string (0,any)
middle_name string (0,255) Middle name of the user
proof_of_identity_type string (0,100) Type of identity document
IDPassportDriving license – UK onlyOther
id_issue_date string (0,any) Date when ID was issued
country_issuing_id_card string (0,2) Country that issued the ID card (ISO 3166-1 alpha-2)
additional_nationality array (0,any) Additional nationalities (ISO 3166-1 alpha-2)
purpose_of_wallet_usage array (0,any) Purpose of wallet usage
other_purpose_of_wallet_usage string (0,255) Other purpose of wallet usage (free text field)
occupation_position string (0,255) Occupation position
ManagerProfessionalTechnicians and associate professionalClerical support workerService and sales workerSkilled agricultural, forestry and fishery workerCraft and related trades workerPlant and machine operator, and assemblersElementary occupationNOT APPLICABLE
employment_status string (0,255) Employment status
Private sector employeeGovernment sector or local authority employeeSelf-employed individual/professionalBusiness ownerStudentRetiredUnemployedOther (please specify)
other_employment_status string (0,255) Other employment status (free text field)
client_monthly_net_income string (0,255) Client monthly net income
Less than 1000 EURBetween 1001 and 5000 EURBetween 5001 and 10000 EURBetween 10001 and 15000 EURMore than 15 000 EUR
expected_incoming_monthly_eur string (0,255) Expected incoming monthly EUR
Less than 1000 EURBetween 1001 and 5000 EURBetween 5001 and 10000 EURBetween 10001 and 15000 EURMore than 15 000 EUR
expected_outgoing_monthly_eur string (0,255) Expected outgoing monthly EUR
Less than 1000 EURBetween 1001 and 5000 EURBetween 5001 and 10000 EURBetween 10001 and 15000 EURMore than 15 000 EUR
type_of_incoming_funds array (0,any) Type of incoming funds
expected_monthly_frequency_incoming_transfer string (0,255) Expected monthly frequency of incoming transfers
Less than 2 timesBetween 3-5 timesMore than 6 times
sanction_media_screening boolean Sanction media screening
risk_score string (0,100) Risk score (Low, Medium, High)
LowMediumHigh
vulnerability_type string (0,any) Vulnerability type
accessibility_required string (0,any) Accessibility required
specified_us_person boolean Specified US person
registration_lat string (0,any) Registraion Geolocation - Latitude
registration_lng string (0,any) Registration Geolocation - Longitude
registration_country string (0,any) Registraion Geolocation - Country
registration_city string (0,any) Registraion Geolocation - City

Example request

{
    "first_name": "John",
    "last_name": "Doe",
    "address1": "James Bouchier 76a",
    "address2": "string",
    "country": "BG",
    "city": "Sofia",
    "zip": "1407",
    "phone": "+3590000000",
    "mobile_phone": "+3590000000",
    "language": "string",
    "nationality": "BG",
    "birthday": "1980-01-01",
    "place_of_birth": "string",
    "merchant": "faf5ee1a-298e-45c7-beb6-b8e410493da3",
    "occupation": "string",
    "other_occupation": "Custom occupation",
    "education": "string",
    "info": "string",
    "money_declaration": "string",
    "source_of_funds": "string",
    "other_source_of_funds": "Custom source of funds",
    "external_reference": "string",
    "is_san": "string",
    "is_sip": "string",
    "peps_declaration": "string",
    "pep": "string",
    "pep_relative": "string",
    "unique_identifier": "string",
    "id_passport_validity": "string",
    "id_passport_number": "string",
    "middle_name": "James",
    "proof_of_identity_type": "Passport",
    "id_issue_date": "2020-01-01",
    "country_issuing_id_card": "BG",
    "additional_nationality": [
        "string"
    ],
    "purpose_of_wallet_usage": [
        "string"
    ],
    "other_purpose_of_wallet_usage": "Custom purpose",
    "occupation_position": "Manager",
    "employment_status": "Employed",
    "other_employment_status": "Custom purpose",
    "client_monthly_net_income": "Between 1001 and 5000 EUR",
    "expected_incoming_monthly_eur": "Between 1001 and 5000 EUR",
    "expected_outgoing_monthly_eur": "Between 1001 and 5000 EUR",
    "type_of_incoming_funds": [],
    "expected_monthly_frequency_incoming_transfer": "Between 3-5 times",
    "sanction_media_screening": false,
    "risk_score": "Low",
    "vulnerability_type": "None",
    "accessibility_required": "None",
    "specified_us_person": false,
    "registration_lat": "38.8951",
    "registration_lng": "-77.0364",
    "registration_country": "Country Name",
    "registration_city": "City Name"
}

Response

Field Type Description
code integer (0,any)

Example response

{
    "code": 0
}

Get Details of Natural Person

GET /v2/users/{user}
Operation user_details

Path parameters

NameExampleDescription
user e61bac10-5be2-49e6-99e1-82ccfd4cb644 Token from user creation

Response

Field Type Description
email string (0,any) Email address of the user
first_name string (0,any) First name of the user
last_name string (0,any) Last name of the user
address1 string (0,any) Address of the user
address2 string (0,any)
country string (0,any) Country of resident of the user (Alpha-2)
city string (0,any) City of the user
zip string (0,any) ZIP/Postal Code of the user
phone string (0,any) Phone of the user
mobile_phone string (0,any) Mobile Phone of the user
language string (0,any)
nationality string (0,any) Nationality of the user (Alpha-2)
birthday string (0,any) Date of birth of the user (YYYY-MM-DD)
aml string (0,any)
place_of_birth string (0,any)
merchant string (32,36) Master Merchant token
occupation string (0,any)
other_occupation string (0,255) Other occupation (free text field)
education string (0,any)
info string (0,any)
money_declaration string (0,any)
source_of_funds string (0,any)
other_source_of_funds string (0,255) Other source of funds (free text field)
external_reference string (0,any)
registration_ip string (0,any)
is_san string (0,any)
is_sip string (0,any)
peps_declaration string (0,any)
pep string (0,any)
pep_relative string (0,any)
unique_identifier string (0,any)
id_passport_validity string (0,any)
id_passport_number string (0,any)
type string (0,any)
card-usagedefault
middle_name string (0,255) Middle name of the user
proof_of_identity_type string (0,100) Type of identity document
IDPassportDriving license – UK onlyOther
id_issue_date string (0,any) Date when ID was issued
country_issuing_id_card string (0,2) Country that issued the ID card (ISO 3166-1 alpha-2)
additional_nationality array (0,any) Additional nationalities (ISO 3166-1 alpha-2)
purpose_of_wallet_usage array (0,any) Purpose of wallet usage
other_purpose_of_wallet_usage string (0,255) Other purpose of wallet usage (free text field)
occupation_position string (0,255) Occupation position
ManagerProfessionalTechnicians and associate professionalClerical support workerService and sales workerSkilled agricultural, forestry and fishery workerCraft and related trades workerPlant and machine operator, and assemblersElementary occupationNOT APPLICABLE
employment_status string (0,255) Employment status
Private sector employeeGovernment sector or local authority employeeSelf-employed individual/professionalBusiness ownerStudentRetiredUnemployedOther (please specify)
other_employment_status string (0,255) Other employment status (free text field)
client_monthly_net_income string (0,255) Client monthly net income
Less than 1000 EURBetween 1001 and 5000 EURBetween 5001 and 10000 EURBetween 10001 and 15000 EURMore than 15 000 EUR
expected_incoming_monthly_eur string (0,255) Expected incoming monthly EUR
Less than 1000 EURBetween 1001 and 5000 EURBetween 5001 and 10000 EURBetween 10001 and 15000 EURMore than 15 000 EUR
expected_outgoing_monthly_eur string (0,255) Expected outgoing monthly EUR
Less than 1000 EURBetween 1001 and 5000 EURBetween 5001 and 10000 EURBetween 10001 and 15000 EURMore than 15 000 EUR
type_of_incoming_funds array (0,any) Type of incoming funds
expected_monthly_frequency_incoming_transfer string (0,255) Expected monthly frequency of incoming transfers
Less than 2 timesBetween 3-5 timesMore than 6 times
sanction_media_screening boolean Sanction media screening
risk_score string (0,100) Risk score (Low, Medium, High)
LowMediumHigh
vulnerability_type string (0,any) Vulnerability type
accessibility_required string (0,any) Accessibility required
specified_us_person boolean Specified US person
registration_lat string (0,any) Registraion Geolocation - Latitude
registration_lng string (0,any) Registration Geolocation - Longitude
registration_country string (0,any) Registraion Geolocation - Country
registration_city string (0,any) Registraion Geolocation - City

Example response

{
    "email": "john.doe@example.com",
    "first_name": "John",
    "last_name": "Doe",
    "address1": "James Bouchier 76a",
    "address2": "string",
    "country": "BG",
    "city": "Sofia",
    "zip": "1407",
    "phone": "+3590000000",
    "mobile_phone": "+3590000000",
    "language": "string",
    "nationality": "BG",
    "birthday": "1980-01-01",
    "aml": "string",
    "place_of_birth": "string",
    "merchant": "faf5ee1a-298e-45c7-beb6-b8e410493da3",
    "occupation": "string",
    "other_occupation": "Custom occupation",
    "education": "string",
    "info": "string",
    "money_declaration": "string",
    "source_of_funds": "string",
    "other_source_of_funds": "Custom source of funds",
    "external_reference": "string",
    "registration_ip": "string",
    "is_san": "string",
    "is_sip": "string",
    "peps_declaration": "string",
    "pep": "string",
    "pep_relative": "string",
    "unique_identifier": "string",
    "id_passport_validity": "string",
    "id_passport_number": "string",
    "type": "string",
    "middle_name": "James",
    "proof_of_identity_type": "Passport",
    "id_issue_date": "2020-01-01",
    "country_issuing_id_card": "BG",
    "additional_nationality": [
        "string"
    ],
    "purpose_of_wallet_usage": [
        "string"
    ],
    "other_purpose_of_wallet_usage": "Custom purpose",
    "occupation_position": "Manager",
    "employment_status": "Employed",
    "other_employment_status": "Custom purpose",
    "client_monthly_net_income": "Between 1001 and 5000 EUR",
    "expected_incoming_monthly_eur": "Between 1001 and 5000 EUR",
    "expected_outgoing_monthly_eur": "Between 1001 and 5000 EUR",
    "type_of_incoming_funds": [],
    "expected_monthly_frequency_incoming_transfer": "Between 3-5 times",
    "sanction_media_screening": false,
    "risk_score": "Low",
    "vulnerability_type": "None",
    "accessibility_required": "None",
    "specified_us_person": false,
    "registration_lat": "38.8951",
    "registration_lng": "-77.0364",
    "registration_country": "Country Name",
    "registration_city": "City Name"
}

Remove Natural Person

DELETE /v2/users/{user}
Operation user_remove

Path parameters

NameExampleDescription
user e61bac10-5be2-49e6-99e1-82ccfd4cb644 Token from user creation

Response

Field Type Description
code integer (0,any)

Example response

{
    "code": 0
}

Add Company member document

POST /v3/applications/{application}/companies/members/{token}/documents
Operation company_member_add_document

Path parameters

NameExampleDescription
application
token

Request body

Field Type Description
file string (0,any) Base64 encoded file
file_type string (0,any) Type of the file
pdfdocxxlxsjpgjpegpngmovmp4
document_type string (0,any) More details in nomenclatures section
idcardbankstmtbillotheridcard-frontidcard-backidcard-selfiepassport-backpassport-selfiepassportdriving-license-selfieselfiedriving-license-frontdriving-license-backsharebook-excerptmanagement-contractmoms-of-the-boardactivity-licensebank-accountbulstat-registrationvat-registrationpatent-lawpower-of-attorneyubo-declarationframe-contractsample-of-signaturesface-compareproofrecent-excerptincorporation-documentsshare_holders_listother_corporatesignatureid_card_passport_photobiometric-residence-permit-frontbiometric-residence-permit-backkyc-vendor-reportfatca-declarationsow-declarationsof-desclarationresident-permit-eu-uk-frontresident-permit-eu-uk-back

Example request

{
    "file": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNksP3/HwADvgI9/iYBsgAAAABJRU5ErkJggg==",
    "file_type": "pdf",
    "document_type": "passport"
}

Response

Field Type Description
code integer (0,any)

Example response

{
    "code": 0
}

Errors

CodeDescription
11001Validation error
11002Company member not found

Verify User

POST /v2/users/{user}/verify
Operation user_verify

Path parameters

NameExampleDescription
user

Request body

Field Type Description
status string (0,any) Verification status: VERIFIED or UNVERIFIED
VERIFIEDUNVERIFIED
reference string (0,any) Reference for the verification action
verification_time string (0,any) Time of verification
verified_by string (0,any) Identifier of the actor who performed the verification

Example request

{
    "status": "VERIFIED",
    "reference": "KYC-REF-2025-0001",
    "verification_time": "2025-08-26 15:25:00",
    "verified_by": "VERIFICATION SYSTEM"
}

Response

Field Type Description
code integer

Example response

{
    "code": 0
}

Errors

CodeDescription
-2Duplicate User
-3Validation Error

AML Natural Persons

POST /v1/aml
Operation aml_check

Request body

Field Type Description
first_name string (0,any)
last_name string (0,any)
nationality string (0,any)
birthday string (0,any)

Example request

{
    "first_name": "John",
    "last_name": "Doe",
    "nationality": "BG",
    "birthday": "2022-12-21"
}

Response

Field Type Description
code integer (0,any)

Example response

{
    "code": 0,
    "data": {
        "token": "0ba5e81d-c43b-4008-b2d6-0d390f6f8c08"
    }
}

Errors

CodeDescription
18000services.general.invalid_processor
18001service.aml.match.found

KYC Introduction

POST /v1/kyc
Operation kyc_init

Request body

Field Type Description
user string (0,any) Token of the user

Example request

{
    "user": "9944b942-d297-4bee-bfba-0990ce9b6788"
}

Response

Field Type Description
code integer (0,any)

Example response

{
    "code": 0,
    "data": {
        "identification": "87f084cc-d323-4c04-86b8-0e8c5f0b9f58",
        "short_code": "f06df88c884f"
    }
}

Errors

CodeDescription
11002payoo.users.not_found
esc
navigate open esc close
Copied